#!/usr/bin/perl

#use Gtk;
#use Gtk::Atoms;

if($ARGV[0])
  {
      $kpilot = 1;
      $url = $ARGV[0];
  }
else
  {
      $kpilot = 0;
  };
if($ARGV[1])
  {
      $drop_folder = $ARGV[1];
  }
else
  {
      $drop_folder = "~/.kde/share/apps/kpilot/pending_install
  };

sub destroy_window {
    exit;
}

#sub ok_clicked
#  {
#      $url = $entry->get_text;
#      print $url;
#      &convert;
#      exit;
#  }

sub cancel_clicked
  {
      exit;
  }

#$mywin = new Gtk::Window -dialog;
#$mywin->set_title("GTKDoc");
#$mywin->position(center);
#$mywin->signal_connect("destroy", \&destroy_window, \$mywin);
#$mywin->signal_connect("delete_event", \&destroy_window, \$mywin);
#
#$entry = new Gtk::Entry;
#$entry->show;
#
#$box1 = new Gtk::VBox(0,10);
#$box1->show;
#$box1->add($entry);
#
#$box2 = new Gtk::HBox(0,10);
#$box2->show;
#$box1->add($box2);
#
#$btOK = new Gtk::Button "OK";
#$btOK->signal_connect("clicked", \&ok_clicked);
#$box2->pack_start($btOK, 1, 1, 0);
#$btOK->show;
#
#$btCancel = new Gtk::Button "Cancel";
#$btCancel->signal_connect("clicked", \&cancel_clicked);
#$box2->add($btCancel);
#$btCancel->show;
#
#$mywin->add($box1);
#
#if($kpilot == 0)
#{
#	show $mywin;
#}
#else
#{
	&convert;
	exit;
#}

#main Gtk;

# Convert HTML to Text to PilotDoc format.

sub convert 
  {
      
      $dir = "~/.pilot";
      
      &unweb;
      
      $| = 1;
      
      $page = $url;
      # Clean up the command line
      $page =~ s/%3A/:/ig;
      $page =~ s/%3F/?/ig;
      $page =~ s/%2F/\//ig;
      $page =~ s/%7E/~/ig;
      $page =~ s/%26/\&/ig;
      $page =~ s/\;//g;
      $page =~ s/\|//g;
      $page =~ s/\>//g;
      $page =~ s/\<//g;
      $page =~ s/\!//g;
      $page =~ s/\\//g;
      $page =~ s/\#.*//;
      
      # Get the Page using wget
      if($page =~ /file:\//)
      {
	  $page =~ s/file://;
	  print "Local file... $page\n";

	  $command = "/bin/cat \"$page\" > /home/jiva/.pilot/$$.pilot";
	  $errors = `$command`;
	  $command = "/usr/bin/lynx -dump -width=32 \"$page\" > /home/jiva/.pilot/$$.txt";
	  $errors = `$command`;
      }
      else
      {
	  print "Remote file... $page\n";
	  $command = "/usr/bin/wget -O /home/jiva/.pilot/$$.pilot \"$page\">& /dev/null";
	  $errors = `$command`;
	  $command = "/usr/bin/lynx -dump -width=32 \"$page\" > /home/jiva/.pilot/$$.txt";
	  $errors = `$command`;
      }

      
      if ($page =~ /\.(gif)|(jpg)|(jpeg)|(png)|(bmp)$/i) {
	  # File is an image file
	  $image = 1;
      }
      
      # Read in the file to convert it
      
      open(CONVERT,"/home/jiva/.pilot/$$.pilot");
      undef $/;
      $bar = <CONVERT>;
      close(CONVERT);
      
      if ($ARGV[1]) {
	  $title = $ARGV[1]
      }
      elsif (( $bar =~ /<title>(.*)<\/title>/is ) && $1) {
	  $title = $1;
      }
      else {
	  if ($image) {
	      $page =~ /.*\/(.*)$/;
	      $title = $1;;
	  }
	  else {
	      $title = $page;
	  }
      }
      if (!$title || ($title =~ /^ +$/)) {
	  $title = "$$";
      }
      
      if (!$image) {
	  
	  $bar =~ s/\t/ /g;
	  $bar =~ s/\n/ /g;
	  $bar =~ s/\r/ /g;
	  $bar =~ s/ +/ /g;
	  $bar =~ s/<title>.*<\/title>//i;
	  $bar =~ s/<script .*?>.*?<\/script>//ig;
	  $bar =~ s/<br.*?>/\n/ig;
	  $bar =~ s/<p.*?>/\n\n/ig;
	  $bar =~ s/<li.*?>/\n/ig;
	  $bar =~ s/<\/td>/ /ig;
	  $bar =~ s/<\/tr>/\n/ig;
	  $bar =~ s/&nbsp;//ig;
	  $bar =~ s/<hr>/\n----------------------------------\n/ig;
	  $bar =~ s/\n+/\n/g;
	  $bar =~ s/<\/h.>/\n\n/ig;
	  $bar =~ s/<.*?>//g;
	  $bar =~ s/&quot;/"/gi;
	  $bar =~ s/&amp;/&/gi;
	  $bar =~ s/&gt;/>/gi;
	  $bar =~ s/&lt;/</gi;
	  $bar =~ s/&copy;/\xA9/gi;
	  $bar =~ s/&copy/\xA9/gi;
	  $bar =~ s/&deg;/\xB0/gi;
	  $bar =~ s/&eacute;/\xE9/gi;
	  $bar =~ s/&auml;/ae/gi;
	  $bar =~ s/&ouml;/oe/gi;
	  $bar =~ s/&uuml;/ue/gi;
	  $bar =~ s/&szlig;/ss/gi;
	  $bar =~ s/\x0D/\x0A/gi;
	  
	  $bar =~ /<.*? alt=\"?(.*?)\"?.*?>/;
	  if ($1) {
	      $bar =~ s/<.*? alt=\"?(.*?)\"?.*?>/[$1]/ig;
	  }
	  
      open(CONVERT,"/home/jiva/.pilot/$$.txt");
      undef $/;
      $bar = <CONVERT>;
      close(CONVERT);
	  
	  $newbar = "Title: $title
    URL: $page
      ----------------------------------
	
	$bar
	  
	  ----------------------------------
	    ";
	  open(CONVERT,">/home/jiva/.pilot/$$.txt");
	  print CONVERT $newbar; 
	  close(CONVERT);
      }
      
      $command = "/usr/bin/makedoc /home/jiva/.pilot/$$.txt /home/jiva/.pilot/$$.prc \"$title\" >/dev/null";
      $command =~ s/\;//g;
      $command =~ s/\|//g;
      $command =~ s/\>//g;
      $command =~ s/\<//g;
      $command =~ s/\!//g;
      $command =~ s/\&//g;
      $command =~ s/\\//g;
      $command =~ s/\n//g;
      
      $junk = `$command`;
      
      open(FOO,">lastpage");
      print FOO $page;
      close(FOO);
      
      open(FOO,">errors");
      print FOO "$title\n";
      print FOO "$command\n";
      print FOO $errors;
      print FOO $junk;
      close(FOO);
      
      open(FOO,"count");
      $count=<FOO>;
      chop($count);
      close(FOO);
      $count++;
      open(FOO,">count");
      print FOO "$count\n";
      close(FOO);
      
      
      sub unweb {		# get contents of form and translate characters
	  @pairs = split(/&/, $ENV{QUERY_STRING});
	  foreach (@pairs) {
	      local($formfield,$value) = split(/=/);
	      $value =~ tr/+/ /;
	      $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	      $FORM{$formfield} = $value;
	  }
	  read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
	  @pairs = split(/&/, $buffer);
	  foreach $pair (@pairs) {
	      local($formfield, $value) = split(/=/, $pair);
	      $value =~ tr/+/ /;
	      $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	      $FORM{$formfield} = $value;
	  }			#foreach
      }				#unweb
      
      
#      $hotsyncwin = new Gtk::Window -dialog;
#      $hotsyncwin->set_title("Ready!");
#      $hotsyncwin->position(center);
#      $label1 = new Gtk::Label("Please press hotsync NOW.");
#      $label1->show;
#      $hotsyncwin->add($label1);
#      show $hotsyncwin;
#      
#      while (Gtk::Gdk::events_pending(Window))
#	{
#	    Gtk::main_iteration(Window);
#	}
#      
#      while (Gtk::Gdk::events_pending(Window))
#	{
#	    Gtk::main_iteration(Window);
#	}
      
      if($kpilot = 0)
	{
	    open(INSTALL, "pilot-xfer -i ~/.pilot/$$.prc|");
	    
	    while(<INSTALL>)
	      {
		  while (Gtk::Gdk::events_pending(Window))
		    {
			Gtk::main_iteration(Window);
		    }
	      }
	    open(RM, "rm ~/.pilot/$$.prc|");
	    open(RM, "rm ~/.pilot/$$.pilot|");
	}
      else
	{
	    # Install for kpilot...
	    system("cp ~/.pilot/$$.prc $drop_folder");
	};

  }

sub finishup 
  {
      $hotsync = new Gtk::Window;
      $hotsync->set_title("Hotsync in progress");
      
      $btOK2 = new Gtk::Button "OK";
      $box22->pack_start($btOK, 1, 1, 0);
      $btOK2->show;
      
      while(<INSTALL>)
	{
	    print "Hotsyncing...\n";
	}
      print "Complete\n";
      open(RM, "rm ~/.pilot/$$.prc|");
      open(RM, "rm ~/.pilot/$$.pilot|");
    
  }
