/**
 * Title:        KVM4Linux<p>
 * Description:  Display a KVM for Linux fullscreen logo on the Palm
 *
 * Copyright:    Copyright (c) 2000 Andreas Heilwagen<p>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * @author       Andreas Heilwagen
 * @version      1.0
 */


import com.sun.kjava.*;


/**
 * displays a KVM for Linux fullscreen logo on the Palm
 */

public class KVM4Linux extends Spotlet
{
  static private Graphics context = Graphics.getGraphics ();


  static public void main (String[] args)
  {
    context.clearScreen ();
//  context.drawRectangle  (0, 0, 160, 160, Graphics.PLAIN, 0);
    KVMLogo.show (context, (160 - KVMLogo.width)  / 2,
                           (160 - KVMLogo.height) / 2);
  }
}
