// PDB Reader.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "PDB Reader.h"
#include "PDB ReaderDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPDBReaderApp

BEGIN_MESSAGE_MAP(CPDBReaderApp, CWinApp)
	//{{AFX_MSG_MAP(CPDBReaderApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	ON_COMMAND(ID_HELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPDBReaderApp construction

CPDBReaderApp::CPDBReaderApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CPDBReaderApp object

CPDBReaderApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CPDBReaderApp initialization

BOOL CPDBReaderApp::InitInstance()
{
	// Standard initialization
	// If you are not using these features and wish to reduce the size
	//  of your final executable, you should remove from the following
	//  the specific initialization routines you do not need.

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CPDBReaderDlg dlg;
	m_pMainWnd = &dlg;
	dlgMain = &dlg;
	dlgRec = NULL;

	ghMainAccelTable = LoadAccelerators(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDR_MAIN_ACCELERATOR));
	ghRecAccelTable = LoadAccelerators(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDR_REC_ACCELERATOR));

	arrFields.SetSize(10, 10);
	arrFields.Add(CFieldDef("Record", "String", 0));

	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

void CPDBReaderApp::OnAppAbout() 
{
	CAboutDlg dlgAbout;

	dlgAbout.DoModal();
}

BOOL CPDBReaderApp::ProcessMessageFilter(int code, LPMSG lpMsg) 
{

      if (code < 0)
		  CWinApp::ProcessMessageFilter(code, lpMsg);

	  if (dlgRec)
	  {
		  if (dlgRec->GetSafeHwnd() && ghRecAccelTable)
		  {
			 if (::TranslateAccelerator(dlgRec->GetSafeHwnd(), ghRecAccelTable, lpMsg))
				return(TRUE);
		  }
	  }
	  else if (dlgMain->GetSafeHwnd() && ghMainAccelTable)
 	  {
		 if (::TranslateAccelerator(dlgMain->GetSafeHwnd(), ghMainAccelTable, lpMsg))
			return(TRUE);
	  }

    return CWinApp::ProcessMessageFilter(code, lpMsg);
}

void CPDBReaderApp::OnHelp() 
{
	WinHelp(0, HELP_CONTENTS);
}
