%define ver      3.0.2
%define rel      1
%define prefix   /usr

Name: sitescooper
Summary: Convert websites for reading on a Palm.
Version: %ver
Release: %rel
Copyright: GPL, but includes modules under Artistic license

Group: Applications/Internet
URL: http://sitescooper.org/

Source: http://sitescooper.org/released/sitescooper-full.tar.gz
BuildRoot: /tmp/sitescooper-%{ver}-root
Packager: Justin Mason <jm@jmason.org>
BuildArchitectures: noarch

Requires: perl
Prefix: /usr

%description

Sitescooper automatically retrieves the stories from several news websites,
trims off extraneous HTML, and converts them into formats you can read on your
Palm computing device later, on-the-move.  Even if you don't have a Palm
handheld, it's still handy for simple website-to-text conversion. 

Sitescooper requires perl to be installed. This RPM now includes the full set
of modules required to run, but you will need to install the
"sitescooper-sites" RPM for any sites to be available.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/usr RAW_PREFIX=/usr ETC=$RPM_BUILD_ROOT/etc install-scripts

%clean
[ "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)

%{prefix}/bin/sitescooper
%{prefix}/bin/rss-to-site
%{prefix}/bin/subs-to-site
%{prefix}/man/man1/sitescooper.1*
%{prefix}/man/man1/rss-to-site.1*
%{prefix}/man/man1/subs-to-site.1*
%{prefix}/share/sitescooper/*

%config	/etc/sitescooper.cf

%doc	README.txt CHANGES.txt OLD_CHANGES.txt
%doc	doc/*

