#!/usr/bin/perl

# Posted by Rich Bowen to http://www.rcbowen.com/imho/palm/url2palm.html
# Requires txt2pdbdoc, along with the named LWP modules.

# This code is Copyright (c) 1999-2000 Rich Bowen.
# You may distribute under the terms of either the GNU
# General Public License or the Artistic License, as
# specified in the Perl README file.


use LWP::Simple;
use HTML::TokeParser;

@foo = get($ARGV[0]);
open (FOO, ">convert_tmp.html");
print FOO @foo;
close FOO;

$p = HTML::TokeParser->new("convert_tmp.html");
if ($p->get_tag("title")) {
    $title = $p->get_trimmed_text;
}
$title =~ s/['"]//g;
$title ||= 'Untitled';

@txt = `html2pdbtxt convert_tmp.html`;
open (FOO, ">convert_tmp.txt");
print FOO @txt;
close FOO;

`txt2pdbdoc \"$title\" convert_tmp.txt convert_tmp.pdb`;
unlink 'convert_tmp.html';
unlink 'convert_tmp.txt';
$title =~ s/\W+/_/g;
rename ('convert_tmp.pdb', "$title.pdb");
