unit frmBookmarkUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmBookmark = class(TForm)
    pbOK: TButton;
    pbCancel: TButton;
    lbBookmarks: TListBox;
    procedure lbBookmarksDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    procedure FillListWithBookmarks(BookmarkList: TList);
  end;

var
  frmBookmark: TfrmBookmark;

implementation

uses DocFile;

{$R *.DFM}

procedure TfrmBookmark.FillListWithBookmarks(BookmarkList: TList);
var
    I: Integer;
begin
    lbBookmarks.Clear;
    for I := 0 to (BookmarkList.Count - 1) do
    begin
        lbBookmarks.Items.Add(TBookmark(BookmarkList.Items[I]).Name);
    end;
end;

procedure TfrmBookmark.lbBookmarksDblClick(Sender: TObject);
begin
    //Same as selecting OK
    ModalResult := mrOK;
end;

end.
