/*  Note: You are free to use whatever license you want.
    Eventually you will be able to edit it within Glade. */

/*  gPalmDoc
 *  Copyright (C) <YEAR> <AUTHORS>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
//#include <gtk/gtkintl.h>
#include "gladesrc.h"
#include "gladesig.h"

char *drop_folder;

int
main (int argc, char *argv[])
{
  GtkWidget *winMain;

  if(argc > 1)
  {
      drop_folder = malloc(sizeof(strlen(argv[1])+1));
      strcpy(drop_folder, argv[1]);
  }
  else
  {
      drop_folder = NULL;
  }
      
  gtk_set_locale ();
  gtk_init (&argc, &argv);

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
  winMain = create_winMain ();
  gtk_widget_show (winMain);

  gtk_main ();
  return 0;
}



void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
    GtkWidget *winProgress;
    gchar *szUrl;
    char szFullCmd[2048];

    winProgress = create_winProgress();
    gtk_widget_show(winProgress);
    szUrl = gtk_entry_get_text(entry1);
    if(drop_folder != NULL)
    {
	sprintf(szFullCmd, "gtkbackend.pl %s %s", szUrl, drop_folder);
    }
    else
    {
	sprintf(szFullCmd, "gtkbackend.pl %s", szUrl);
    }
    system(szFullCmd);
    printf("Done!\nUrl was: %s\n", szUrl);
    exit(0);
}




gboolean
on_winMain_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
    exit(0);
  return FALSE;
}

