<?
/* Text to Document file conversion library for 3Com PalmPilots
 * convert.php3
 *
 * Copyright (C) 2000 Pierre Dittgen
 * Pierre.Dittgen@bigfoot.com
 *
 * This file is a translation of the txt2pdbdoc tool
 * written in C Paul J. Lucas (plj@best.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	require 'palmlib.php3';

	/**
	 * A handy function to write errors on the browser
	 */
	function errorMessage($message)
	{
		print "<html>\n";
		print "<head><title>Error !!!</title></head>\n";
		print "<body>\n";
		print "<center><h1>Palmlib error</h1></center>\n";
		print "<br><br><br>\n";
		print "<center><font color=\"red\">$message</font></center>\n";
		print "<br><br><br>\n";
		print "<center>[ <a href=\"index.html\">back</a> ]</center>\n";
		print "<hr>\n";
		print "<small>PalmLib, a generation tool for 3Com PalmPilots documents</small>
<br>\n";
		print "<small><i>Copyright (C) 2000 Pierre Dittgen, licensed under GNU General Public License\n";
		print "</body>\n";
		print "</html>";
		exit;
	}

	/**
	 * Main program
	 */

	// Data comes from a URL
	if ($input == "url")
	{
		// If the url name is empty
		if ($url == "")
			errorMessage("You didn't give any URL to fetch<br>I give up!");

		// Opens the url
		$error_report = error_reporting(0);
		$fd = fopen($url, "r");
		error_reporting($error_report);

		// Errors on opening
		if ($fd == false)
			errorMessage("I can't read URL [<i>$url</i>]<br>I give up!");

		// Slurps it (reads it entirely)
		while (1)
		{
			$buff		 = fread($fd, 1024);
			$content	.= $buff;
			if (strlen($buff) == 0)
				break;
		}
		fclose($fd);

		// Strip HTML tags
		$content = strip_tags($content);

		// Not done by the previous function :-(
		$content = preg_replace(array("/&nbsp;/i"), array(" "), $content);
	}
	// This is text!
	else
	{
		if ($text == "")
			errorMessage("You didn't type any text!<br>I give up!");
		$content = $text;
	}

	// Creates the doc and force the download
	onTheFlyPalmDoc($content, $title, $pdbname);
?>
