// PDB Reader.h : main header file for the PDB READER application
//

#if !defined(AFX_PDBREADER_H__13A883D6_766F_11D3_B790_00508B0ACA0E__INCLUDED_)
#define AFX_PDBREADER_H__13A883D6_766F_11D3_B790_00508B0ACA0E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include <afxtempl.h>
#include <fstream.h>

#include "FieldDef.h"

/////////////////////////////////////////////////////////////////////////////
// CPDBReaderApp:
// See PDB Reader.cpp for the implementation of this class
//

class CPDBReaderApp : public CWinApp
{
public:
	CPDBReaderApp();

	CArray< CFieldDef, CFieldDef& >	arrFields;

	HACCEL		ghMainAccelTable;	// Handle to accelerator table
	HACCEL		ghRecAccelTable;	// Handle to accelerator table
	CDialog*	dlgMain;
	CDialog*	dlgRec;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPDBReaderApp)
	public:
	virtual BOOL InitInstance();
	virtual BOOL ProcessMessageFilter(int code, LPMSG lpMsg);
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CPDBReaderApp)
	afx_msg void OnAppAbout();
	afx_msg void OnHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PDBREADER_H__13A883D6_766F_11D3_B790_00508B0ACA0E__INCLUDED_)
