@ECHO OFF
REM Program:	Install SSL Linkage

REM Author:	Mark Crispin
REM		Networks and Distributed Computing
REM		Computing & Communications
REM		University of Washington
REM		Administration Building, AG-44
REM		Seattle, WA  98195
REM		Internet: MRC@CAC.Washington.EDU

REM Date:	 18 November 1998
REM Last Edited: 19 November 1999

REM Copyright 1999 by the University of Washington

REM This software is provided under specific, written license from the
REM University of Washington and may only be used, copied, modified, and
REM distributed under the terms of such license.  This software is made
REM available "as is", and
REM THE UNIVERSITY OF WASHINGTON DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
REM WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED
REM WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN
REM NO EVENT SHALL THE UNIVERSITY OF WASHINGTON BE LIABLE FOR ANY SPECIAL,
REM INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
REM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT
REM (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION
REM WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

REM Export Regulations. Software, including technical data, is subject to U.S.
REM export control laws, including the U.S. Export Administration Act and its
REM associated regulations, and may be subject to export or import regulations
REM in other countries. Licensee agrees to comply strictly with all such
REM regulations and acknowledges that it has the responsibility to obtain
REM licenses to export, re-export, or import Software. Software may not be
REM downloaded, or otherwise exported or re-exported (i) into, or to a
REM national or resident of, Cuba, Iraq, Iran, North Korea, Libya, Sudan,
REM Syria or any country to which the U.S. has embargoed goods; or (ii) to
REM anyone on the U.S. Treasury Department's list of Specially Designated
REM Nations or the U.S. Commerce Department's Table of Denial Orders.


ECHO void ssl_onceonlyinit (void); >> LINKAGE.H
ECHO extern int ssl_getchar (void); >> LINKAGE.H
ECHO extern char *ssl_gets (char *s,int n); >> LINKAGE.H
ECHO extern int ssl_putchar (int c); >> LINKAGE.H
ECHO extern int ssl_puts (char *s); >> LINKAGE.H
ECHO extern int ssl_flush (void); >> LINKAGE.H
ECHO extern char *ssl_start_tls (char *s); >> LINKAGE.H
ECHO #undef PBIN >> LINKAGE.H
ECHO #define PBIN ssl_getchar >> LINKAGE.H
ECHO #undef PSIN >> LINKAGE.H
ECHO #define PSIN(s,n) ssl_gets (s,n) >> LINKAGE.H
ECHO #undef PBOUT >> LINKAGE.H
ECHO #define PBOUT(c) ssl_putchar (c) >> LINKAGE.H
ECHO #undef PSOUT >> LINKAGE.H
ECHO #define PSOUT(s) ssl_puts (s) >> LINKAGE.H
ECHO #undef PFLUSH >> LINKAGE.H
ECHO #define PFLUSH ssl_flush () >> LINKAGE.H
ECHO #define IMAPSPECIALCAP "STARTTLS" >> LINKAGE.H
ECHO #define POP3SPECIALCAP "STLS" >> LINKAGE.H
ECHO #define SPECIALCAP(s) ssl_start_tls (s) >> LINKAGE.H
ECHO   ssl_onceonlyinit (); >> LINKAGE.C
