Summary: email synchronization program to/from the Palm OS
Name: pilot-mailsync
Version: 0.5
Release: 1
Copyright: MPL
Packager: Hollis Blanchard <hollis@andrew.cmu.edu>
Source: pilot-mailsync-%{version}.tar.gz
URL: http://www.andrew.cmu.edu/~hollis/palm/mailsync.html
Group: Applications/Communications
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: smtpdaemon
BuildPreReq: pilot-link-devel

%description
pilot-mailsync is an application to transfer outgoing mail from and deliver
incoming mail to a Palm OS device. pilot-mailsync relies on the libraries
installed by pilot-link.

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install

%files
%defattr(-,root,root)
/usr/local/bin/pilot-mailsync
%doc README docs/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 20 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- added defattr

* Mon Jul 24 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- initial spec
